Fetch updated shipment list

The API retrieves the latest shipment tracking status updates between the specified start and end time. This API takes the start date and end date and returns the data for all the AWBs which were updated during this time period

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Response

{
    "meta": {
        "status": 200,
        "success": true,
        "message": "SUCCESS"
    },
    "result": [
        {
            "waybill": "1518943900534648",
            "carrier_partner": 6,
            "created_at": "2022-10-24T11:43:14.420571Z",
            "updated_at": "2022-11-02T11:44:59.449189Z",
            "clickpost_status_code": 8,
            "timestamp": "2022-11-01 19:57:00",
            "clickpost_status_description": "Delivered",
            "reference_number": "CR494331676",
            "account_code": "Xpressbees_Surface",
            "location": "LKO/PKM, Lucknow, UTTAR PRADESH",
            "remark": "Delivered",
            "status": "Delivered",
            "customer_feedback_present": false,
            
        },
        {
            "waybill": "190254100234356",
            "carrier_partner": 4,
            "created_at": "2022-10-28T05:21:56.479618Z",
            "updated_at": "2022-11-01T14:28:20.051713Z",
            "clickpost_status_code": 2,
            "timestamp": "2022-11-01 19:57:58",
            "clickpost_status_description": "PickupPending",
            "reference_number": "CR51401814",
            "account_code": "Delhivery_Surface_B2C",
            "location": "Bangalore_Kudlu_CP (Karnataka)",
            "remark": "Shipment not received from client",
            "status": "Not Picked",
            "customer_feedback_present": false         
        }
    ]
}

Response

The sample response can have the following fields

Field NameData TypeDescription
metaObjectMetadata for the result, e.g. status code, error messages.
resultObjectActual result of the request

Response Meta

Field NameData TypeDescription
statusIntegerStatus code of the response (including, but not limited to HTTP Status codes)
messageStringError message (if any errors) for the request.
successBooleanWhether the request is successful or not.

Response Result

Field NameData TypeDescriptionExample
waybillStringThe AWB of the shipment"151894390057768"
carrier_partnerNumThe carrier partner ID4
created_atTimestampCreated timestamp of the order"2022-10-24T11:43:14.420571Z"
updated_atTimestampThe Update timestamp of the order"2022-11-02T11:44:59.449189Z"
clickpost_status_codeNumThe clickpost status code of the shipment
https://clickpost.readme.io/docs/tracking-status-codes
8
timestampTimestampThe scan time in the system. It is in the same timezone the shipment status was updated. For example, for a shipment in India, the field will have the time in IST. For a shipment in Canada, field will have timestamp in EST"2022-11-01 19:57:58"
clickpost_status_descriptionENUMDescription of the status code saved by Clickpost for the object https://clickpost.readme.io/docs/tracking-status-codes"PickupPending"
reference_numberStringUnique Alphanumeric string to identify and distinguish each API request"CR67254835"
account_codeStringThe name of the account configured inside of the carrier partner on the Clickpost dashboard"Delhivery_Surface_B2C"
locationStringThe location of the last scan of the shipment"LKO/PKM, Lucknow, UTTAR PRADESH"
remarkStringThe remark shared by the carrier partner"Shipment not received from client"
statusStringThe latest status shared by the carrier partner"Not Picked"
customer_feedback_presentBooleanRepresent whether any customer feedback was received either from the tracking link or IVR from the customer for the particular orderfalse
Query Params
string
required

Enter the API key given to you by the clickpost onboarding team

string
required

Clickpost API Username: Provided by Clickpost Team

date-time
required
Defaults to 1616580960

start time in epoch (seconds). Example: 1616580960

date-time
required
Defaults to 1616580960

end time in epoch (seconds). Difference between start time and end time cannot be greater than 1800 seconds(30 mins)

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json